XmLGridWritePos(3X)

NAME
XmLGridWritePos - write the string contents of cells in a Grid at a given location into a file

SYNTAX
int XmLGridWritePos(widget, file, format, delimiter, skipHidden, rowType, row, columnType, column, nrow, ncolumn)
Widget widget;
FILE *file;
int format;
char delimiter;
Boolean skipHidden;
unsigned char rowType;
int row;
unsigned char columnType;
int column;
int nrow;
int ncolumn;

ARGUMENTS

widget
    Grid widget ID

file
    file to write to

format
    format of the file

delimiter
    delimiter if format is XmFORMAT_DELIMITED

skipHidden
    if True, skip hidden rows and columns

rowType
    type of first row

row location of first row

columnType
    type of first column

column
    location of first column

nrow
    number of rows

ncolumn
    number of columns

DESCRIPTION
Writes the contents of cells in nrow number of rows and ncolumn number of columns to a file in the given format starting at the row and column specified by rowType, row, columnType, and column. If skipHidden is True, data in hidden rows or columns will not be included. Format must be one of the following: XmFORMAT_XL, where tabs separate columns and cell data is possibly surrounded by double-quotes, XmFORMAT_PAD, where columns are padded with spaces or XmFORMAT_DELIMITED, where data is delimited by the delimiter given.

RETURN VALUE
A value of 0 is returned upon success, and a value of -1 is returned upon failure.

SEE ALSO
XmLGridWrite(3X)